/* dazzle.h
 *
 * Copyright (C) 2017 Christian Hergert <chergert@redhat.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DAZZLE_H
#define DAZZLE_H

#include <gtk/gtk.h>

G_BEGIN_DECLS

#if !GTK_CHECK_VERSION(3, 22, 0)
# error "libdazzle requires gtk+-3.0 >= 3.22.15"
#endif

#if !GLIB_CHECK_VERSION(2, 50, 0)
# error "libdazzle requires glib-2.0 >= 2.52.0"
#endif

#define DAZZLE_INSIDE
#include "dzl-version.h"
#include "dzl-enums.h"
#include "util/dzl-pango.h"
#undef DAZZLE_INSIDE

G_END_DECLS

#endif /* DAZZLE_H */
